/**********************************************************************/
// File Name: {FM_project_loc}/Sources/Config/BLDC_appconfig.h 
//
// Date:  26. August, 2016
//
// Automatically generated file for static configuration of the BLDC application
/**********************************************************************/

#ifndef __BLDC_CONFIG_SETUP_H
#define __BLDC_CONFIG_SETUP_H


//Motor Parameters                      
//----------------------------------------------------------------------
//Pole-pair number                      = 5 [-]
//Back-EMF constant                     = 0.0018 [V.sec/rad]
//Phase current nominal                 FRAC16(0.336005376086)
//Phase voltage nominal                 FRAC16(0.480000000000)
//----------------------------------------------------------------------

//Application scales                    
#define I_MAX                           (20.833)
#define U_DCB_MAX                       (25.0)
#define N_MAX                           (8000.0)
#define I_DCB_OVERCURRENT               FRAC16(0.720011520184)
#define U_DCB_UNDERVOLTAGE              FRAC16(0.360000000000)
#define U_DCB_OVERVOLTAGE               FRAC16(0.800000000000)
#define I_DCB_LIMIT                     FRAC16(0.192003072049)
#define U_DCB_TRIP                      FRAC16(0.680000000000)
#define N_NOM                           FRAC16(0.812500000000)
#define I_PH_NOM                        FRAC16(0.336005376086)
#define U_PH_NOM                        FRAC16(0.480000000000)
//Mechanical Alignment                  
#define ALIGN_VOLTAGE                   FRAC16(0.333333333333)
#define ALIGN_DURATION                  (1000)

//BLDC Control Loop                     
//----------------------------------------------------------------------
//Loop sample time                      = 0.001 [sec]
//----------------------------------------------------------------------
//Control loop limits                   
#define CTRL_LOOP_LIM_HIGH              FRAC16(0.900000000000)
#define CTRL_LOOP_LIM_LOW               FRAC16(0.0)

//Speed Controller - Parallel type      
#define SPEED_LOOP_KP_GAIN              FRAC16(0.603195440616)
#define SPEED_LOOP_KP_SHIFT             (-1)
#define SPEED_LOOP_KI_GAIN              FRAC16(0.823562841588)
#define SPEED_LOOP_KI_SHIFT             (-11)

//Speed ramp increments                 
#define SPEED_LOOP_RAMP_UP              FRAC32(0.000750000000)
#define SPEED_LOOP_RAMP_DOWN            FRAC32(0.000750000000)

//Torque Controller - Parallel type     
#define TORQUE_LOOP_KP_GAIN             FRAC16(0.949318144000)
#define TORQUE_LOOP_KP_SHIFT            (-6)
#define TORQUE_LOOP_KI_GAIN             FRAC16(0.949318144000)
#define TORQUE_LOOP_KI_SHIFT            (-6)
#define TORQUE_LOOP_MAF                 (5)

//Sensorless Control Module             
//----------------------------------------------------------------------
//Timer Frequency                       = 750000 [Hz]
//----------------------------------------------------------------------
#define N_MIN                           FRAC16(0.075000000000)
#define N_START_TRH                     FRAC16(0.075000000000)
#define STARTUP_CMT_CNT                 (100)
#define STARTUP_CMT_PER                 (7500)
#define CMT_T_OFF                       FRAC16(0.100000000000)
#define FREEWHEEL_T_LONG                (0)
#define FREEWHEEL_T_SHORT               (0)
#define SPEED_SCALE_CONST               (1125)
#define CMT_PER_MIN                     (188)
#define START_CMT_ACCELER               FRAC16(0.988964251792)
#define INTEG_TRH                       (3088)

//FreeMASTER Scale Variables            
//----------------------------------------------------------------------
//Note: Scaled at input = 1000          
//----------------------------------------------------------------------
#define FM_I_SCALE                      (20833)
#define FM_U_DCB_SCALE                  (25000)
#define FM_N_SCALE                      (8000000)

#endif
/**********************************************************************/
/**********************************************************************/
